Inhalte

# Funktion Partition [VBA]

Gibt eine Zeichenfolge zurück, die angibt, wo in einer berechneten Reihe von Bereichen eine Zahl vorkommt.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

Partition (Anzahl, Anfang, Ende, Intervall)

### Rückgabewert:

String

### Parameter:

Nummer: Erforderlich. Die Nummer zur Bestimmung der Partition.

Anfang: Erforderlich. Eine ganze Zahl, die den unteren Wert des Zahlenbereichs definiert.

Ende: Erforderlich. Eine ganze Zahl, die den höchsten Wert des Bereichs definiert.

Intervall: Erforderlich. Eine ganze Zahl, welche die Größe der Partitionen innerhalb des Zahlenbereichs (zwischen Anfang und Ende) festlegt.

### Beispiel:

            Option VBASupport 1
            Option Explicit
            Sub Test_Partition
                Dim retStr As String
                retStr = Partition(20, 0, 98, 5)
                print "20:24 Die Zahl 20 kommt im Bereich vor: " & retStr
                retStr = Partition(20, 0, 99, 1)
                print "20:20 Die Zahl 20 kommt im Bereich vor: " & retStr
                retStr = Partition(120, 0, 99, 5)
                print "100: Die Zahl 120 kommt im Bereich vor: " & retStr
                retStr = Partition(-5, 0, 99, 5)
                print ":-1 Die Zahl -5 kommt im Bereich vor: " & retStr
                retStr = Partition(2, 0, 5, 2)
                print "2:3 Die Zahl 2 kommt im Bereich vor: " & retStr
            End Sub

Verwandte Themen

VBA – Mathematische Funktionen